Subject: Business Air News Bulletin - March 21, 2023
From: [email-masked]
To: [email-masked]
Date: Wed, 22 Mar 2023 04:04:01 +0000

B U S I N E S S   A I R   N E W S  -  B U L L E T I N
A selection of the latest business aviation news from www.businessairnews.com

Ontic signs radar and comms deal with Honeywell

Incorporated multi-hazard safety sensors manufactured by Ontic perform TAS (traffic awareness) or TCAS (traffic alert and collision avoidance) and/or enhanced ground proximity warnings (EGPWS). 

PartsBase unveils PartStore 2.0 with the support of Oro

The new PartStore integrates with the PartsBase family of brands, therefore leveraging a strong digital footprint in terms of search engine optimisation and multi-channel clicks for buyers and sellers.

Polaris brings in Roby for robust safety support

In 2021, Kellie Roby joined Polaris Aero as the firm's Midwest sales executive; she was promoted to vice president in January 2023. She will now lead the safety division with a focus on implementing VOCUS.

Air.one chat bot designed to offer aircraft buying insights

With the Air.one AI assistant, buyers can ask any question they have about private aircraft characteristics, compare different models and receive valuable insights and recommendations tailored to their individual needs.

Dinglong absorbed by Beijing Xie to grow market share

The decision by Beijing Xie to acquire Dinglong Business Aviation is a tactical move and is a recognition of the growing demand in the domestic Chinese and international markets because of the Belt and Road initiative.

Chapman Freeborn celebrates female leadership with promotions

The appointment of Catriona Taylor and Jenny van Wyk follow a review of Chapman Freeborn's internal HR data, which showed an 18 per cent increase in women in leadership positions at the company versus last year.

To unsubscribe, please contact [email-masked].